cURL
curl --request GET \ --url https://apimgmt.cometchat.io/apps/{appId}/moderation/rules/{ruleId}/revisions \ --header 'key: <key>' \ --header 'secret: <secret>'
{ "data": [ { "id": "moderation-test", "name": "Video Moderation", "description": "AI-powered video moderation to detect unsafe content.", "enabled": true, "conditions": [ { "id": 1, "isKeywordsReferencePresent": false, "isMediaPresent": false, "entity": "message", "operand": "text", "category": "word", "operator": "equals", "value": [ "paris" ] } ], "action": [ "blockMessage" ], "active": true, "createdAt": 1720011899, "updatedAt": 1720011905, "revisionId": "253179cf5f665257_moderation-test_2" }, { "id": "moderation-test", "name": "Video Moderation", "description": "AI-powered video moderation to detect unsafe content.", "enabled": true, "conditions": [ { "id": 1, "isKeywordsReferencePresent": false, "isMediaPresent": true, "entity": "message", "operand": "image", "category": "word", "operator": "contains", "value": [ "violence_greaterThan_30" ], "message": [ "Image contains violence with confidence greater than 30" ] } ], "action": [ "blockMessage" ], "active": false, "createdAt": 1720011899, "updatedAt": 1720011899, "revisionId": "253179cf5f665257_moderation-test_1" } ], "meta": { "current": { "limit": 10, "count": 2 } } }
Fetches a rule’s revisions.
Documentation IndexFetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://cometchat-22654f5b-docs-v6-beta2-flutter-uikit.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorization Key
Authorization Secret
AppID in which the extension has to be enabled/disabled
Rule ID
List Rule revisions
Show child attributes
Was this page helpful?